Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
h2c

Cách chọn lại đối tượng ???

Các bài được khuyến nghị

h2c    1

Cho mình hỏi khi mình chọn nhiều đối tượng và thực hiện xong 1 lệnh , bây giờ muốn chọn lại những đối tượng y chang như thế thì làm thế nào ? Nghe nói từ cad2006 trở đi có cách làm nhưng mình kiếm hoài ko thấy ?

Còn ở 2004 nếu thật sự chưa có chức năng này thì phải viết lisp ra sao ?

Cám ơn mọi người .

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
vbao    80
Cho mình hỏi khi mình chọn nhiều đối tượng và thực hiện xong 1 lệnh , bây giờ muốn chọn lại những đối tượng y chang như thế thì làm thế nào ? Nghe nói từ cad2006 trở đi có cách làm nhưng mình kiếm hoài ko thấy ?

Còn ở 2004 nếu thật sự chưa có chức năng này thì phải viết lisp ra sao ?

Cám ơn mọi người .

 

Trong acad đã có sẵn

tại dòng nhắc "Select Objects" :

nhập L (Last) nếu muốn chọn đối tượng sau cùng mới được tạo ra

nhập P (Previous) nếu muốn chọn lại các đối tượng đã chọn trước đó

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
h2c    1

Cám ơn bạn , trước giờ cứ quen select rồi mới đánh lệnh . Nhưng mà có cách nào chọn được previous rồi mới đánh lệnh không ? ( thói quen khó sửa )

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
vbao    80
Cám ơn bạn , trước giờ cứ quen select rồi mới đánh lệnh . Nhưng mà có cách nào chọn được previous rồi mới đánh lệnh không ? ( thói quen khó sửa )

 

Không được !

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Nguyen Hoanh    4.524
Cám ơn bạn , trước giờ cứ quen select rồi mới đánh lệnh . Nhưng mà có cách nào chọn được previous rồi mới đánh lệnh không ? ( thói quen khó sửa )

Đúng như Vbao nói, ACAD không thể làm được việc này.

Nhưng với sự hỗ trợ của lisp, việc này có thể giải quyết được. Với tên hàm là PP, mã lệnh lisp như sau:

 

(defun c:pp()(sssetfirst (ssget "P")(ssget "P"))(princ))

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
hoai46ctt    33

Mã lệnh lisp chọn lại tui thấy rất hay, nhưng không hiểu sao máy tui bây giờ thông báo lỗi

Command: PP Unknown command "PP". Press F1 for help.

Command: nil

tui không hiểu tại sao, mong Hoành chỉ giúp, tui xin cảm ơn.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Nguyen Hoanh    4.524
Mã lệnh lisp chọn lại tui thấy rất hay, nhưng không hiểu sao máy tui bây giờ thông báo lỗi

Command: PP Unknown command "PP". Press F1 for help.

Command: nil

tui không hiểu tại sao, mong Hoành chỉ giúp, tui xin cảm ơn.

Bạn đọc thêm ở đây để biết cách upload:

http://www.cadviet.com/forum/index.php?showtopic=1787

 

Mã lệnh trên đủ ngắn để chúng ta khẳng định rằng nó không thể sai được.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Bạn đọc thêm ở đây để biết cách upload:

http://www.cadviet.com/forum/index.php?showtopic=1787

 

Mã lệnh trên đủ ngắn để chúng ta khẳng định rằng nó không thể sai được.

theo mình thấy muốn chọn lại đối tượng trước kia thì mình đánh lenh mình cần làm tiếp sao đó bám phim p là nó chọn lại tất cả các đối tượng đã được chọn ở lenh trước đó

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
alpha    2
Cám ơn bạn , trước giờ cứ quen select rồi mới đánh lệnh . Nhưng mà có cách nào chọn được previous rồi mới đánh lệnh không ? ( thói quen khó sửa )

 

 

Command : select enter

Command : P enter (or L)

 

u có thể dùng lệnh aliasedit để đặt phím tắt cho lệnh select cho tiện hơn.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay


×